"""
blink/cli/utils.py
Ian Kollipara
2022.04.02

Utility Functions and Classes
"""
# Imports
from jinja2 import Environment, PackageLoader


TEMPLATE_ENV = Environment(loader=PackageLoader("blink_web.cli"))


def render(template_name: str, **kwargs) -> str:
    """Render a template.

    This is a specialized render for use internally in blink cli.
    """

    return TEMPLATE_ENV.get_template(template_name).render(kwargs)
