# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['blink_web', 'blink_web.cli', 'blink_web.core', 'blink_web.core.protocols']

package_data = \
{'': ['*'], 'blink_web.cli': ['templates/*', 'templates/gen/*']}

install_requires = \
['Jinja2>=3.1.1,<4.0.0',
 'falcon>=3.1.0,<4.0.0',
 'gunicorn>=20.1.0,<21.0.0',
 'marshmallow>=3.15.0,<4.0.0',
 'pony>=0.7.16,<0.8.0',
 'rich>=12.0.1,<13.0.0',
 'tomlkit>=0.10.1,<0.11.0',
 'typer>=0.4.1,<0.5.0',
 'uvicorn>=0.17.6,<0.18.0']

entry_points = \
{'console_scripts': ['blink = blink_web.cli.app:app']}

setup_kwargs = {
    'name': 'blink-web',
    'version': '0.1.2',
    'description': 'Python SSR Web Framework',
    'long_description': '# Blink\nPython Web Framework, built on top of Falcon, Jinja, HTMX, and Pony\n',
    'author': 'Ian Kollipara',
    'author_email': 'ian.kollipara@cune.org',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.10,<4.0',
}


setup(**setup_kwargs)
